Page 1 of 3 123 LastLast
Results 1 to 10 of 22

Thread: LEAP 15.1 Upgrade from Leap 15.0 :after update system is not usable with its kernel

  1. #1

    Question LEAP 15.1 Upgrade from Leap 15.0 :after update system is not usable with its kernel

    HI,
    after an upgrade from Leap 15.0 to Leap 15.1 if I use kernel 4.12.14-lp151.27-default, my system, under KDE, is totally unusable: cpu busy at 100% quite forever, windows opened and quite never closed, no answer from mouse actions, screen "dirty" etc. etc.
    If I use the old kernel (luckily the upgrade did not deleted this one) as an "advanced" choice at the grub menu, i.e. version 4.12.14-lp150.12.61-default, kde starts without problem as usual and the computer is running fine.
    I applied all the latest update but the problem is still there.
    Thank you for understanding what is happening.

  2. #2
    Join Date
    Sep 2013
    Location
    Norfolk, UK
    Posts
    1,265

    Default Re: LEAP 15.1 Upgrade from Leap 15.0 :after update system is not usable with its kernel

    How did you upgrade?

    and...

    What repositories have you enabled?

    Code:
    sudo zypper lr -d
    Regards, Paul

    2x Tumbleweed (Snapshot: 20191014) KDE Plasma 5
    2x Leap 15.1 KDE Plasma 5

  3. #3

    Default Re: LEAP 15.1 Upgrade from Leap 15.0 :after update system is not usable with its kernel

    Hi,
    I just upgraded by an iso image dvd, starting with the option upgrade.
    My repos are as follows, taking care the I added the repos of Vivaldi, skype, chrome and packman after I rebooted with the old kernel:

    +--------------------------------------------------------------------------+---------
    1 | openSUSE-Leap-15.1-1 | openSUSE-Leap-15.1-1 | Sì | (r ) Sì | No | 99 | rpm-md | cd:/?devices=/dev/disk/by-id/ata-hp_DVDRW_GUD1N_KZ3GBHN2513 |

    2 | packman.inode.at-suse | Packman Repository | Sì | (r ) Sì | Sì | 99 | rpm-md | http://packman.inode.at/suse/openSUSE_Leap_15.1/ |

    3 | repo-debug | Debug Repository | No | ---- | ---- | 99 | NONE | http://download.opensuse.org/debug/d...15.1/repo/oss/ |

    4 | repo-debug-non-oss | Debug Repository (Non-OSS) | No | ---- | ---- | 99 | NONE | http://download.opensuse.org/debug/d.../repo/non-oss/ |

    5 | repo-debug-update | Update Repository (Debug) | No | ---- | ---- | 99 | NONE | http://download.opensuse.org/debug/u...leap/15.1/oss/ |

    6 | repo-debug-update-non-oss | Update Repository (Debug, Non-OSS) | No | ---- | ---- | 99 | NONE | http://download.opensuse.org/debug/u.../15.1/non-oss/ |

    7 | repo-non-oss | Non-OSS Repository | Sì | (r ) Sì | Sì | 99 | rpm-md | http://download.opensuse.org/distrib.../repo/non-oss/ |

    8 | repo-non-oss_1 | Repository Non-OSS | Sì | (r ) Sì | Sì | 99 | rpm-md | http://download.opensuse.org/distrib.../repo/non-oss/ |

    9 | repo-oss | Main Repository | Sì | (r ) Sì | Sì | 99 | rpm-md | http://download.opensuse.org/distrib...15.1/repo/oss/ |

    10 | repo-oss_1 | Repository principale | Sì | (r ) Sì | Sì | 99 | rpm-md | http://download.opensuse.org/distrib...15.1/repo/oss/ |

    11 | repo-source | Source Repository | No | ---- | ---- | 99 | NONE | http://download.opensuse.org/source/...15.1/repo/oss/ |

    12 | repo-source-non-oss | Source Repository (Non-OSS) | No | ---- | ---- | 99 | NONE | http://download.opensuse.org/source/.../repo/non-oss/ |

    13 | repo-update | Main Update Repository | Sì | (r ) Sì | Sì | 99 | rpm-md | http://download.opensuse.org/update/leap/15.1/oss/ |

    14 | repo-update-non-oss | Update Repository (Non-Oss) | Sì | (r ) Sì | Sì | 99 | rpm-md | http://download.opensuse.org/update/leap/15.1/non-oss/ |

    15 | repo-update-non-oss_1 | Repository degli aggiornamenti (Non-Oss) | Sì | (r ) Sì | Sì | 99 | rpm-md | http://download.opensuse.org/update/leap/15.1/non-oss/ |

    16 | repo-update_1 | Repository principale degli aggiornamenti | Sì | (r ) Sì | Sì | 99 | rpm-md | http://download.opensuse.org/update/leap/15.1/oss |

    17 | stable | skype(stable) | Sì | (r ) Sì | Sì | 99 | rpm-md | https://repo.skype.com/rpm/stable/
    |
    18 | x86_64 | vivaldi | Sì | (r ) Sì | Sì | 99 | rpm-md | http://repo.vivaldi.com/archive/rpm/x86_64
    |
    19 | x86_64_1 | google-chrome | Sì | (r ) Sì | Sì | 99 | rpm-md | http://dl.google.com/linux/chrome/rpm/stable/x86_64
    |

  4. #4
    Join Date
    Sep 2013
    Location
    Norfolk, UK
    Posts
    1,265

    Default Re: LEAP 15.1 Upgrade from Leap 15.0 :after update system is not usable with its kernel

    All looks OK ...

    Strange, I don't think there is a problem with the 15.1 kernel per se, or there would be more reports of it.

    What if you force reinstalled the kernel again, use YaST2 Software Management, select the kernel (default-4.12.14-lp151.27.3), and "Update Unconditionally".
    Regards, Paul

    2x Tumbleweed (Snapshot: 20191014) KDE Plasma 5
    2x Leap 15.1 KDE Plasma 5

  5. #5

    Default Re: LEAP 15.1 Upgrade from Leap 15.0 :after update system is not usable with its kernel

    I reinstalled the kernel, but the exit is the same.
    By the way I see the kernel is 4.12.14-lp151.27.3 but it is shown on the grub menu as 4.12.14-lp.151.27 missing the last "3" : is it correct?
    In the mean time I noted that I have 3 instances of "lo_kde5filepick" sucking the cpu at 100%. I don't know if it is useful, while in the running fine kernel (the old one) I still see these program running, but after a while they are not so heavy and it is possible to work without problems.

  6. #6
    Join Date
    Aug 2010
    Location
    Chicago suburbs
    Posts
    12,624
    Blog Entries
    3

    Default Re: LEAP 15.1 Upgrade from Leap 15.0 :after update system is not usable with its kernel

    Quote Originally Posted by gio_kheper View Post
    By the way I see the kernel is 4.12.14-lp151.27.3 but it is shown on the grub menu as 4.12.14-lp.151.27 missing the last "3" : is it correct?
    Yes, that's correct.

    The last digit is a build number. If there were ever a kernel 4.12.14-lp151.27.4, that would just be a recompile of the same sources. And it would be stored with the same filenames in your system.
    openSUSE Leap 15.1; KDE Plasma 5;
    testing Leap 15.2Alpha

  7. #7
    Join Date
    Sep 2013
    Location
    Norfolk, UK
    Posts
    1,265

    Default Re: LEAP 15.1 Upgrade from Leap 15.0 :after update system is not usable with its kernel

    Quote Originally Posted by gio_kheper View Post
    ...
    In the mean time I noted that I have 3 instances of "lo_kde5filepick" sucking the cpu at 100%. I don't know if it is useful, while in the running fine kernel (the old one) I still see these program running, but after a while they are not so heavy and it is possible to work without problems.
    There was mention of that in this thread: https://forums.opensuse.org/showthre...e5filepick-etc

    There was a bug in libreoffice, fixed in 6.1.4.2-1.1
    Regards, Paul

    2x Tumbleweed (Snapshot: 20191014) KDE Plasma 5
    2x Leap 15.1 KDE Plasma 5

  8. #8

    Default Re: LEAP 15.1 Upgrade from Leap 15.0 :after update system is not usable with its kernel

    Hi,
    I installed the latest available LibreOffice (6.4.2) experimental branch and the load on the CPUs disappeared.
    Unfortunately this had no impact on how the system works, i.e. with the latest kernel the machine is quite totally locked, while with the old one it works fine.
    Please take care I think the problem is only on the graphical environment (Plasma), because if I change console (i.e. if I go with CTR+SHIFT+F2 for instance) there it seems I can work in text mode without problem.
    While in Plasma the problem was that both the keyboard and the mouse seem not respondent: i.e. if I click on a window (a console for instance) the window appears after a while and if I write something nothing happens; then if I iconize the window, after a while the window has been iconized, then If I enlarge it the command I entered before has been executed.
    This is with everything: from the buttons on the desktop bar to any other thing on the screen.
    Thank you,
    regards

  9. #9

    Default Re: LEAP 15.1 Upgrade from Leap 15.0 :after update system is not usable with its kernel

    By the way, I tried using IceWM as a session, but I had the same things, so I suppose, just suppose, it is something linked to X and the kernel and not linked to Plasma.

  10. #10
    Join Date
    Sep 2013
    Location
    Norfolk, UK
    Posts
    1,265

    Default Re: LEAP 15.1 Upgrade from Leap 15.0 :after update system is not usable with its kernel

    Very weird... as I wrote previously I don't think there is a problem with the 15.1 kernel per se, or there would be more reports of it.

    Also the two kernels are essentially the same version 4.12.14 (4.12.14-lp150.12.61-default and 4.12.14-lp151.27-default).

    Can you spot anything obvious from any of the logs ?

    ~/.xsession-errors

    /var/log/Xorg.0.log (or Xorg.0.log.old)

    or from the journal for an offending boot

    Code:
    sudo sudo journalctl -b -boot_number
    you can obtain the boot_number by using

    Code:
    sudo journalctl --list-boots
    Regards, Paul

    2x Tumbleweed (Snapshot: 20191014) KDE Plasma 5
    2x Leap 15.1 KDE Plasma 5

Page 1 of 3 123 LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •